OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCAF
TPrsStd

# TPrsStd_Driver Class Reference

Driver for AIS
==============
An abstract class, which - in classes inheriting
from it - allows you to update an
AIS_InteractiveObject or create one if one does
not already exist.
For both creation and update, the interactive
object is filled with information contained in
attributes. These attributes are those found on
the label given as an argument in the method Update.
true is returned if the interactive object was modified by the update.
This class provide an algorithm to Build with its default
values (if Null) or Update (if !Null) an AIS_InteractiveObject
. Resources are found in attributes associated to a given
label.
.

`#include <TPrsStd_Driver.hxx>`

Inheritance diagram for TPrsStd_Driver:

[legend]

## Public Member Functions
virtual Standard_EXPORT Standard_Boolean | Update (const TDF_Label &L, Handle(AIS_InteractiveObject)&ais)=0
| Updates the interactive object ais with information found on the attributes associated with the label L. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Protected Member Functions
Standard_EXPORT | TPrsStd_Driver ()

## Constructor & Destructor Documentation

Standard_EXPORT TPrsStd_Driver::TPrsStd_Driver | ( |  | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const TPrsStd_Driver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in TPrsStd_AxisDriver, TPrsStd_ConstraintDriver, TPrsStd_GeometryDriver, TPrsStd_NamedShapeDriver, TPrsStd_PlaneDriver, and TPrsStd_PointDriver.

virtual Standard_EXPORT Standard_Boolean TPrsStd_Driver::Update | ( | const TDF_Label & | L,
|  | Handle(AIS_InteractiveObject)& | ais
| ) | `[pure virtual]`

| Implemented in TPrsStd_AxisDriver, TPrsStd_ConstraintDriver, TPrsStd_GeometryDriver, TPrsStd_NamedShapeDriver, TPrsStd_PlaneDriver, and TPrsStd_PointDriver.

The documentation for this class was generated from the following file:

- TPrsStd_Driver.hxx